stages:
  - build_and_publish

variables:
  tag_pattern: "/\\d{2}\\.\\d{2}\\.\\d{2}/"

build_and_publish:
  image: python:latest
  stage: build_and_publish
  rules:
     - if: "$CI_COMMIT_TAG =~ $tag_pattern"
  script:
     - export VERSION="${CI_COMMIT_TAG:1}"
     - pip install --upgrade pip
     - pip install -r publish-requirements.txt
     - python setup.py sdist bdist_wheel
     - python -m twine check dist/*
     - TWINE_PASSWORD=${PYPI_PASS} TWINE_USERNAME=${PYPI_USER} python -m twine upload dist/* --verbose
